import { axios } from '@/utils/request'

//  产品 列表  分页
export const productList = (params) => {
  const url = `/product/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品 保存
export const productSave = (params) => {
  return axios({
    url: '/product/save',
    data: params,
    method: 'post'
  })
}
//  产品 删除
export const productDel = (params) => {
  return axios({
    url: `/product/delete/${params.sn}`,
    method: 'get'
  })
}
//  产品 详情  根据sn查询
export const productSnDetail = (params) => {
  return axios({
    url: `/product/findBySn/${params.sn}`,
    method: 'get'
  })
}
//  产品 审核
export const productAudit = (params) => {
  return axios({
    url: `/product/audit/${params.sn}`,
    method: 'get'
  })
}
//  产品 批量审核
export const productBatchAudit = (params) => {
  return axios({
    url: '/product/batchAudit',
    data: params,
    method: 'post'
  })
}
